package info.frostfs.sdk.jdo.parameters;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.concurrent.TimeUnit;

import static info.frostfs.sdk.constants.AppConst.DEFAULT_GRPC_TIMEOUT;

@Getter
@Builder
@AllArgsConstructor
public class CallContext {
    private final long timeout;
    private final TimeUnit timeUnit;

    public CallContext() {
        this.timeout = DEFAULT_GRPC_TIMEOUT;
        this.timeUnit = TimeUnit.SECONDS;
    }
}

