package info.frostfs.sdk.jdo.parameters.object;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.object.ObjectFrostFS;
import info.frostfs.sdk.dto.session.SessionToken;
import info.frostfs.sdk.jdo.parameters.session.SessionContext;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmObjectSinglePut implements SessionContext {
    @NotNull
    private ObjectFrostFS objectFrostFS;

    private SessionToken sessionToken;
    private Map<String, String> xHeaders;

    public PrmObjectSinglePut(ObjectFrostFS objectFrostFS) {
        this.objectFrostFS = objectFrostFS;
    }
}
