package info.frostfs.sdk.pool;

import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
public class NodesParam {
    private final int priority;
    private final List<String> address;
    private final List<Double> weight;

    public NodesParam(int priority) {
        this.priority = priority;
        this.address = new ArrayList<>();
        this.weight = new ArrayList<>();
    }
}
