package info.frostfs.sdk.exceptions;

import info.frostfs.sdk.dto.response.ResponseStatus;
import lombok.Getter;

@Getter
public class ResponseFrostFSException extends FrostFSException {
    private final ResponseStatus status;

    public ResponseFrostFSException(ResponseStatus status) {
        super(status.toString());
        this.status = status;
    }

    public ResponseFrostFSException(String message) {
        super(message);
        this.status = null;
    }
}
