package info.frostfs.sdk.jdo.parameters.ape;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.chain.Chain;
import info.frostfs.sdk.dto.chain.ChainTarget;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmApeChainRemove {
    @NotNull
    private Chain chain;
    @NotNull
    private ChainTarget chainTarget;

    private Map<String, String> xHeaders;

    public PrmApeChainRemove(Chain chain, ChainTarget chainTarget) {
        this.chain = chain;
        this.chainTarget = chainTarget;
    }
}
