package info.frostfs.sdk.pool;

import java.util.ArrayList;
import java.util.List;

class WorkList {
    private final List<Integer> elements = new ArrayList<>();

    private int getLength() {
        return elements.size();
    }

    private void add(int element) {
        elements.add(element);
    }

    private int remove() {
        int last = elements.get(elements.size() - 1);
        elements.remove(elements.size() - 1);
        return last;
    }
}
