package info.frostfs.sdk.services;

import info.frostfs.sdk.dto.container.Container;
import info.frostfs.sdk.dto.container.ContainerId;
import info.frostfs.sdk.jdo.parameters.CallContext;
import info.frostfs.sdk.jdo.parameters.container.PrmContainerCreate;
import info.frostfs.sdk.jdo.parameters.container.PrmContainerDelete;
import info.frostfs.sdk.jdo.parameters.container.PrmContainerGet;
import info.frostfs.sdk.jdo.parameters.container.PrmContainerGetAll;

import java.util.List;

public interface ContainerClient {
    Container getContainer(PrmContainerGet args, CallContext ctx);

    List<ContainerId> listContainers(PrmContainerGetAll args, CallContext ctx);

    ContainerId createContainer(PrmContainerCreate args, CallContext ctx);

    void deleteContainer(PrmContainerDelete args, CallContext ctx);
}
