package info.frostfs.sdk.constants;

public class AppConst {
    public static final String RESERVED_PREFIX = "__SYSTEM__";

    public static final int DEFAULT_MAJOR_VERSION = 2;
    public static final int DEFAULT_MINOR_VERSION = 13;
    public static final int BYTE_SHIFT = 10;
    public static final int BYTE = 1;
    public static final int KIB = BYTE << BYTE_SHIFT;
    public static final int MIB = KIB << BYTE_SHIFT;
    public static final int OBJECT_CHUNK_SIZE = 3 * MIB;
    public static final int SHA256_HASH_LENGTH = 32;
    public static final int UUID_BYTE_ARRAY_LENGTH = 16;
    public static final int DEFAULT_GRPC_TIMEOUT = 5;
    public static final long DEFAULT_POLL_INTERVAL = 10;

    private AppConst() {
    }
}
